## imcode.server.document.textdocument
Class ImageDomainObject

    java.lang.Object
      imcode.server.document.textdocument.ImageDomainObject

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ImageDomainObject

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Constructor Summary
`ImageDomainObject()`

Method Summary
`ImageDomainObject` `clone()`
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getAlign()`
`java.lang.String` `getAlternateText()`
`int` `getBorder()`
`com.imcode.util.ImageSize` `getDisplayImageSize()`
`int` `getHeight()`
`int` `getHorizontalSpace()`
`java.lang.Long` `getId()`
`java.lang.String` `getImageUrl()`
`java.lang.Integer` `getIndex()`
`I18nLanguage` `getLanguage()`
`java.lang.String` `getLinkUrl()`
`java.lang.String` `getLowResolutionUrl()`
`java.lang.Integer` `getMetaId()`
`java.lang.Integer` `getMetaVersion()`
`java.lang.String` `getName()`
`com.imcode.util.ImageSize` `getRealImageSize()`
`long` `getSize()`
`ImageSource` `getSource()`
`java.lang.String` `getTarget()`
`java.lang.Integer` `getType()`
`java.lang.String` `getUrlPath(java.lang.String contextPath)`
`java.lang.String` `getUrlPathRelativeToContextPath()`
`int` `getVerticalSpace()`
`int` `getWidth()`
`int` `hashCode()`
`boolean` `isEmpty()`
`boolean` `isModified()`
`void` `setAlign(java.lang.String image_align)`
`void` `setAlternateText(java.lang.String alt_text)`
`void` `setBorder(int image_border)`
`void` `setHeight(int image_height)`
`void` `setHorizontalSpace(int h_space)`
`void` `setId(java.lang.Long id)`
`void` `setImageUrl(java.lang.String imageUrl)`
`void` `setIndex(java.lang.Integer index)`
`void` `setLanguage(I18nLanguage language)`
`void` `setLinkUrl(java.lang.String image_ref_link)`
`void` `setLowResolutionUrl(java.lang.String low_scr)`
`void` `setMetaId(java.lang.Integer metaId)`
`void` `setMetaVersion(java.lang.Integer metaVersion)`
`void` `setModified(boolean modified)`
`void` `setName(java.lang.String image_name)`
`void` `setSource(ImageSource source)`
`void` `setSourceAndClearSize(ImageSource source)`
`void` `setTarget(java.lang.String target)`
`void` `setType(java.lang.Integer type)`
`void` `setVerticalSpace(int v_space)`
`void` `setWidth(int image_width)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageDomainObject

    public ImageDomainObject()

Method Detail

### getName

    public java.lang.String getName()

### getDisplayImageSize

    public com.imcode.util.ImageSize getDisplayImageSize()

### getRealImageSize

    public com.imcode.util.ImageSize getRealImageSize()

### getWidth

    public int getWidth()

### getHeight

    public int getHeight()

### getBorder

    public int getBorder()

### getAlign

    public java.lang.String getAlign()

### getAlternateText

    public java.lang.String getAlternateText()

### getLowResolutionUrl

    public java.lang.String getLowResolutionUrl()

### getVerticalSpace

    public int getVerticalSpace()

### getHorizontalSpace

    public int getHorizontalSpace()

### getTarget

    public java.lang.String getTarget()

### getLinkUrl

    public java.lang.String getLinkUrl()

### setName

    public void setName(java.lang.String image_name)

### setWidth

    public void setWidth(int image_width)

### setHeight

    public void setHeight(int image_height)

### setBorder

    public void setBorder(int image_border)

### setAlign

    public void setAlign(java.lang.String image_align)

### setAlternateText

    public void setAlternateText(java.lang.String alt_text)

### setLowResolutionUrl

    public void setLowResolutionUrl(java.lang.String low_scr)

### setVerticalSpace

    public void setVerticalSpace(int v_space)

### setHorizontalSpace

    public void setHorizontalSpace(int h_space)

### setTarget

    public void setTarget(java.lang.String target)

### setLinkUrl

    public void setLinkUrl(java.lang.String image_ref_link)

### setSourceAndClearSize

    public void setSourceAndClearSize(ImageSource source)

### setSource

    public void setSource(ImageSource source)

### isEmpty

    public boolean isEmpty()

### getUrlPath

    public java.lang.String getUrlPath(java.lang.String contextPath)

### getUrlPathRelativeToContextPath

    public java.lang.String getUrlPathRelativeToContextPath()

### getSize

    public long getSize()

### getSource

    public ImageSource getSource()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getLanguage

    public I18nLanguage getLanguage()

### setLanguage

    public void setLanguage(I18nLanguage language)

### getMetaId

    public java.lang.Integer getMetaId()

### setMetaId

    public void setMetaId(java.lang.Integer metaId)

### clone

    public ImageDomainObject clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getImageUrl

    public java.lang.String getImageUrl()

### setImageUrl

    public void setImageUrl(java.lang.String imageUrl)

### getId

    public java.lang.Long getId()

### setId

    public void setId(java.lang.Long id)

### getType

    public java.lang.Integer getType()

### setType

    public void setType(java.lang.Integer type)

### getIndex

    public java.lang.Integer getIndex()

### setIndex

    public void setIndex(java.lang.Integer index)

### isModified

    public boolean isModified()

### setModified

    public void setModified(boolean modified)

### getMetaVersion

    public java.lang.Integer getMetaVersion()

### setMetaVersion

    public void setMetaVersion(java.lang.Integer metaVersion)